#include <mcp79410.h>

#include <i2cmaster.h>

const int afficheLed[10][8]={ //{A,B,C,D,E,F,G,DP}
  {HIGH,HIGH,HIGH,HIGH,HIGH,HIGH,LOW,LOW},
  {LOW,HIGH,HIGH,LOW,LOW,LOW,LOW,LOW},
  {HIGH,HIGH,LOW,HIGH,HIGH,LOW,LOW,LOW},
  {HIGH,HIGH,HIGH,HIGH,LOW,LOW,HIGH,LOW},
  {LOW,HIGH,HIGH,LOW,LOW,HIGH,HIGH,LOW},
  {HIGH,LOW,HIGH,HIGH,LOW,HIGH,HIGH,LOW},
  {HIGH,LOW,HIGH,HIGH,HIGH,HIGH,HIGH,LOW},
  {HIGH,HIGH,HIGH,LOW,LOW,LOW,LOW,LOW},
  {HIGH,HIGH,HIGH,HIGH,HIGH,HIGH,HIGH,LOW},
  {HIGH,HIGH,HIGH,HIGH,LOW,HIGH,HIGH,LOW}};

const int pinLed[8]={1,3,6,8,9,2,5,7}; //{A,B,C,D,E,F,G,DP}
const int pinDigit[4]={0,14,15,4};//{dig1,dig2,dig3,dig4}
int i,j;
uint8_t sec,minutes,heures,JdS,jour,mois,annee;// affichage : heure[1] heure[0] : minute[1] minute[0] //variables qui vont recevoir les minutes et heure actuel en binaire
uint8_t valeur[4];
rtc_t *mcp_value;

void setup() {
  // put your setup code here, to run once:
  for(i=0;i<8;i++){pinMode(pinLed[i],OUTPUT);}
  for(i=0;i<4;i++){pinMode(pinDigit[i],OUTPUT);}
  //Serial.begin(9600);
  sec = 0;
  minutes = 0;
  heures = 0;
  JdS = 0;
  jour
  mois =0;
  annee = 0;
  mcp79410_set_date_time (day,mth,year,wd,hour,minu,sec);
}


void loop() {
  // put your main code here, to run repeatedly:
  mcp79410_get_time (mcp_value);
  valeur[0] = (mcp_value->min)%10;
  valeur[1] = (mcp_value->min)/10;
  valeur[2] = (mcp_value->hour)%10;
  valeur[3] = (mcp_value->hour)/10; //On décompose nos valeur obtenu pour avoir des chiffres
  for(i=0;i<4;i++)
  {
    digitalWrite(pinDigit[i],HIGH); //Le digit i est allumé
    for(j=0;j<9;j++)
    {
      digitalWrite(pinLed[i],afficheLed[valeur[0]][i]);
    }
    digitalWrite(pinDigit[i],LOW); //On éteint le digit i
  }
  
  

}
